Skip to main content

This content has been archived and is no longer being updated. Links may not function; however, this content may be relevant to outdated versions of the product.

Support Article

Update ActiveX certificates

SA-62091

Summary



The requirement is for updated ActiveX certificates and all CAB or OCX files (including KeyMain, WORDMACROMANAGERDOT, and PREXCELMANAGERTEMPLATE VBA code).


Error Messages



Not Applicable


Steps to Reproduce



Verify the signature of the ActiveX provided with Pega 7.2.


Root Cause



A defect in Pegasystems’ code or rules. 

In a secure environment, only signed components can be installed and used where signing certificates is not outdated. 
However, all the .ocx files are signed with the outdated certificate. This is not valid. 
ActiveX package (all components) containing valid signed ActiveX with a valid signer certificate, is required. Without this, ActiveX cannot be installed and will be blocked.



Resolution



Apply HFix-45271.


 
Suggest Edit

Published September 21, 2018 - Updated October 8, 2020

Did you find this content helpful? Yes No

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

We'd prefer it if you saw us at our best.

Pega Community has detected you are using a browser which may prevent you from experiencing the site as intended. To improve your experience, please update your browser.

Close Deprecation Notice
Contact us